Source: gstlal-ugly
Maintainer: Carsten Aulbert <carsten.aulbert@aei.mpg.de>
Section: lscsoft
Priority: optional
Standards-Version: 3.9.2
X-Python-Version: >= @MIN_PYTHON_VERSION@
Build-Depends:
 debhelper (>= 9),
 dh-python,
 doxygen (>= @MIN_DOXYGEN_VERSION@),
 fakeroot,
 gds-dev (>= @MIN_GDS_VERSION@),
 gds-lowlatency (>= @MIN_GDS_VERSION@),
 gobject-introspection (>= @MIN_GOBJECT_INTROSPECTION_VERSION@),
 graphviz,
 gstlal-dev (>= @MIN_GSTLAL_VERSION@),
 gtk-doc-tools  (>= @MIN_GTK_DOC_VERSION@),
 lal-dev (>= @MIN_LAL_VERSION@),
 lalmetaio-dev (>= @MIN_LALMETAIO_VERSION@),
 ldas-tools-framecpp-dev (>= @MIN_FRAMECPP_VERSION@),
 libfftw3-dev (>= 3),
 libgirepository1.0-dev (>= @MIN_GOBJECT_INTROSPECTION_VERSION@),
 libgsl-dev (>= 1.9),
 libgstreamer1.0-dev (>= @MIN_GSTREAMER_VERSION@),
 libgstreamer-plugins-base1.0-dev (>= @MIN_GSTREAMER_VERSION@),
 libnds2-client-dev (>= @MIN_NDS_VERSION@),
 liborc-0.4-dev (>= 1:@MIN_ORC_VERSION@),
 pkg-config (>= 0.18.0),
 python-all-dev (>= @MIN_PYTHON_VERSION@),
 python-glue (>= @MIN_GLUE_VERSION@),
 python-glue-ligolw-tools,
 python-numpy (>= @MIN_NUMPY_VERSION@)

Package: gstlal-ugly
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 gds-lowlatency (>= @MIN_GDS_VERSION@),
 gir1.2-glib-2.0,
 gir1.2-gstreamer-1.0 (>= @MIN_GSTREAMER_VERSION@),
 gstlal (>= @MIN_GSTLAL_VERSION@),
 lal (>= @MIN_LAL_VERSION@),
 lalmetaio (>= @MIN_LALMETAIO_VERSION@),
 ldas-tools-framecpp (>= @MIN_FRAMECPP_VERSION@),
 libfftw3-3,
 libgirepository-1.0-1 (>= @MIN_GOBJECT_INTROSPECTION_VERSION@),
 libgstreamer1.0-0 (>= @MIN_GSTREAMER_VERSION@),
 libgstreamer-plugins-base1.0-0 (>= @MIN_GSTREAMER_VERSION@),
 libnds2-client (>= @MIN_NDS_VERSION@),
 liborc-0.4-0 (>= 1:@MIN_ORC_VERSION@),
 python (>= @MIN_PYTHON_VERSION@),
 python-gi,
 python-glue (>= @MIN_GLUE_VERSION@),
 python-gst-1.0,
 python-h5py,
 python-ligo-lw (>= @MIN_LIGO_LW_VERSION@),
 python-ligo-segments (>= @MIN_LIGO_SEGMENTS_VERSION@),
 python-numpy (>= @MIN_NUMPY_VERSION@),
 python-scipy
Description: GStreamer for GW data analysis (in-development parts)
 This package provides a variety of GStreamer elements for
 gravitational-wave data analysis and some libraries to help write such
 elements. The code here sits on top of several other libraries, notably
 the LIGO Algorithm Library (LAL), FFTW, the GNU Scientific Library (GSL),
 and, of course, GStreamer.
 This package contains the plugins and shared libraries required to run
 gstlal-based applications.

Package: gstlal-ugly-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 gstlal-dev (>= @MIN_GSTLAL_VERSION@),
 gstlal-ugly (= ${binary:Version}),
 lal-dev (>= @MIN_LAL_VERSION@),
 lalmetaio-dev (>= @MIN_LALMETAIO_VERSION@),
 libfftw3-dev,
 libgsl-dev (>= 1.9),
 libgstreamer-plugins-base1.0-dev (>= @MIN_GSTREAMER_VERSION@),
 libgstreamer1.0-dev (>= @MIN_GSTREAMER_VERSION@),
 libreadline-dev
Description: Files and documentation needed for compiling gstlal-ugly based plugins and programs.
 This package contains the files needed for building gstlal-ugly based
 plugins ands programs.
